s « config « resources « aai-graphadmin « components « aai « kubernetes - oom - Introduces the ONAP Platform OOM (ONAP Operations Manager) to efficiently Deploy, Manage, Operate the ONAP platform and its components (e.g. MSO, DCAE, SDC, etc.) and infrastructure (VMs, Containers).</title>
<meta name='generator' content='cgit 1.2.3-korg'/>
<meta name='robots' content='noindex, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit-data/cgit.css'/>
<script type='text/javascript' src='/cgit.js'></script>
<link rel='shortcut icon' href='/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='http://git.onap.org/oom/atom/kubernetes/aai/components/aai-graphadmin/resources/config/janusgraph-realtime.properties?h=3.0.0-ONAP' type='application/atom+xml'/>
<link rel='vcs-git' href='https://git.onap.org/oom' title='oom Git repository'/>
</head>
<body>
<div id="lfcollabprojects-header">
  <div class="gray-diagonal">
    <div class="header-inner">
      <a
        id="lfcollabprojects-logo"
        href="http://collabprojects.linuxfoundation.org"
        >Linux Foundation Collaborative Projects</a
      >
    </div>
  </div>
</div>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='/cgit-data/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/oom/'>oom</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='365bdbc7853b4ca522899629c4ec653a06e5931a'/><select name='h' onchange='this.form.submit();'>
<option value='2.0.0-ONAP'>2.0.0-ONAP</option>
<option value='amsterdam'>amsterdam</option>
<option value='beijing'>beijing</option>
<option value='casablanca'>casablanca</option>
<option value='casdev'>casdev</option>
<option value='code-transfer'>code-transfer</option>
<option value='dublin'>dublin</option>
<option value='elalto'>elalto</option>
<option value='frankfurt'>frankfurt</option>
<option value='guilin'>guilin</option>
<option value='honolulu'>honolulu</option>
<option value='istanbul'>istanbul</option>
<option value='jakarta'>jakarta</option>
<option value='kohn'>kohn</option>
<option value='london'>london</option>
<option value='master'>master</option>
<option value='montreal'>montreal</option>
<option value='newdelhi'>newdelhi</option>
<option value='oslo'>oslo</option>
<option value='release-1.0.0'>release-1.0.0</option>
<option value='staging'>staging</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Introduces the ONAP Platform OOM (ONAP Operations Manager) to efficiently Deploy, Manage, Operate the ONAP platform and its components (e.g. MSO, DCAE, SDC, etc.) and infrastructure (VMs, Containers).</td><td class='sub right'>Grokmirror user</td></tr></table>
<table class='tabs'><tr><td>
<a href='/oom/?h=3.0.0-ONAP'>summary</a><a href='/oom/refs/?h=3.0.0-ONAP&amp;id=365bdbc7853b4ca522899629c4ec653a06e5931a'>refs</a><a href='/oom/log/kubernetes/aai/components/aai-graphadmin/resources/config/janusgraph-realtime.properties?h=3.0.0-ONAP'>log</a><a class='active' href='/oom/tree/kubernetes/aai/components/aai-graphadmin/resources/config/janusgraph-realtime.properties?h=3.0.0-ONAP&amp;id=365bdbc7853b4ca522899629c4ec653a06e5931a'>tree</a><a href='/oom/commit/kubernetes/aai/components/aai-graphadmin/resources/config/janusgraph-realtime.properties?h=3.0.0-ONAP&amp;id=365bdbc7853b4ca522899629c4ec653a06e5931a'>commit</a><a href='/oom/diff/kubernetes/aai/components/aai-graphadmin/resources/config/janusgraph-realtime.properties?h=3.0.0-ONAP&amp;id=365bdbc7853b4ca522899629c4ec653a06e5931a'>diff</a><a href='/oom/stats/kubernetes/aai/components/aai-graphadmin/resources/config/janusgraph-realtime.properties?h=3.0.0-ONAP'>stats</a></td><td class='form'><form class='right' method='get' action='/oom/log/kubernetes/aai/components/aai-graphadmin/resources/config/janusgraph-realtime.properties'>
<input type='hidden' name='h' value='3.0.0-ONAP'/><input type='hidden' name='id' value='365bdbc7853b4ca522899629c4ec653a06e5931a'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/oom/tree/?h=3.0.0-ONAP&amp;id=365bdbc7853b4ca522899629c4ec653a06e5931a'>root</a>/<a href='/oom/tree/kubernetes?h=3.0.0-ONAP&amp;id=365bdbc7853b4ca522899629c4ec653a06e5931a'>kubernetes</a>/<a href='/oom/tree/kubernetes/aai?h=3.0.0-ONAP&amp;id=365bdbc7853b4ca522899629c4ec653a06e5931a'>aai</a>/<a href='/oom/tree/kubernetes/aai/components?h=3.0.0-ONAP&amp;id=365bdbc7853b4ca522899629c4ec653a06e5931a'>components</a>/<a href='/oom/tree/kubernetes/aai/components/aai-graphadmin?h=3.0.0-ONAP&amp;id=365bdbc7853b4ca522899629c4ec653a06e5931a'>aai-graphadmin</a>/<a href='/oom/tree/kubernetes/aai/components/aai-graphadmin/resources?h=3.0.0-ONAP&amp;id=365bdbc7853b4ca522899629c4ec653a06e5931a'>resources</a>/<a href='/oom/tree/kubernetes/aai/components/aai-graphadmin/resources/config?h=3.0.0-ONAP&amp;id=365bdbc7853b4ca522899629c4ec653a06e5931a'>config</a>/<a href='/oom/tree/kubernetes/aai/components/aai-graphadmin/resources/config/janusgraph-realtime.properties?h=3.0.0-ONAP&amp;id=365bdbc7853b4ca522899629c4ec653a06e5931a'>janusgraph-realtime.properties</a></div><div class='content'>blob: 61550e7a57824a9e73af47fa94fb157396a11e0d (<a href='/oom/plain/kubernetes/aai/components/aai-graphadmin/resources/config/janusgraph-realtime.properties?h=3.0.0-ONAP&amp;id=365bdbc7853b4ca522899629c4ec653a06e5931a'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
<a id='n30' href='#n30'>30</a>
<a id='n31' href='#n31'>31</a>
<a id='n32' href='#n32'>32</a>
<a id='n33' href='#n33'>33</a>
<a id='n34' href='#n34'>34</a>
<a id='n35' href='#n35'>35</a>
<a id='n36' href='#n36'>36</a>
<a id='n37' href='#n37'>37</a>
<a id='n38' href='#n38'>38</a>
<a id='n39' href='#n39'>39</a>
<a id='n40' href='#n40'>40</a>
<a id='n41' href='#n41'>41</a>
<a id='n42' href='#n42'>42</a>
<a id='n43' href='#n43'>43</a>
<a id='n44' href='#n44'>44</a>
<a id='n45' href='#n45'>45</a>
<a id='n46' href='#n46'>46</a>
<a id='n47' href='#n47'>47</a>
<a id='n48' href='#n48'>48</a>
<a id='n49' href='#n49'>49</a>
<a id='n50' href='#n50'>50</a>
<a id='n51' href='#n51'>51</a>
<a id='n52' href='#n52'>52</a>
<a id='n53' href='#n53'>53</a>
<a id='n54' href='#n54'>54</a>
<a id='n55' href='#n55'>55</a>
<a id='n56' href='#n56'>56</a>
<a id='n57' href='#n57'>57</a>
<a id='n58' href='#n58'>58</a>
<a id='n59' href='#n59'>59</a>
<a id='n60' href='#n60'>60</a>
<a id='n61' href='#n61'>61</a>
<a id='n62' href='#n62'>62</a>
<a id='n63' href='#n63'>63</a>
<a id='n64' href='#n64'>64</a>
<a id='n65' href='#n65'>65</a>
<a id='n66' href='#n66'>66</a>
<a id='n67' href='#n67'>67</a>
<a id='n68' href='#n68'>68</a>
<a id='n69' href='#n69'>69</a>
<a id='n70' href='#n70'>70</a>
<a id='n71' href='#n71'>71</a>
<a id='n72' href='#n72'>72</a>
<a id='n73' href='#n73'>73</a>
<a id='n74' href='#n74'>74</a>
<a id='n75' href='#n75'>75</a>
<a id='n76' href='#n76'>76</a>
<a id='n77' href='#n77'>77</a>
<a id='n78' href='#n78'>78</a>
<a id='n79' href='#n79'>79</a>
<a id='n80' href='#n80'>80</a>
<a id='n81' href='#n81'>81</a>
<a id='n82' href='#n82'>82</a>
<a id='n83' href='#n83'>83</a>
<a id='n84' href='#n84'>84</a>
<a id='n85' href='#n85'>85</a>
<a id='n86' href='#n86'>86</a>
<a id='n87' href='#n87'>87</a>
<a id='n88' href='#n88'>88</a>
<a id='n89' href='#n89'>89</a>
<a id='n90' href='#n90'>90</a>
<a id='n91' href='#n91'>91</a>
<a id='n92' href='#n92'>92</a>
<a id='n93' href='#n93'>93</a>
</pre></td>
<td class='lines'><pre><code><style>
@media only all and (prefers-color-scheme: dark) {
.highlight .hll { background-color: #49483e }
.highlight .c { color: #75715e } /* Comment */
.highlight .err { color: #960050; background-color: #1e0010 } /* Error */
.highlight .k { color: #66d9ef } /* Keyword */
.highlight .l { color: #ae81ff } /* Literal */
.highlight .n { color: #f8f8f2 } /* Name */
.highlight .o { color: #f92672 } /* Operator */
.highlight .p { color: #f8f8f2 } /* Punctuation */
.highlight .ch { color: #75715e } /* Comment.Hashbang */
.highlight .cm { color: #75715e } /* Comment.Multiline */
.highlight .cp { color: #75715e } /* Comment.Preproc */
.highlight .cpf { color: #75715e } /* Comment.PreprocFile */
.highlight .c1 { color: #75715e } /* Comment.Single */
.highlight .cs { color: #75715e } /* Comment.Special */
.highlight .gd { color: #f92672 } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gi { color: #a6e22e } /* Generic.Inserted */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #75715e } /* Generic.Subheading */
.highlight .kc { color: #66d9ef } /* Keyword.Constant */
.highlight .kd { color: #66d9ef } /* Keyword.Declaration */
.highlight .kn { color: #f92672 } /* Keyword.Namespace */
.highlight .kp { color: #66d9ef } /* Keyword.Pseudo */
.highlight .kr { color: #66d9ef } /* Keyword.Reserved */
.highlight .kt { color: #66d9ef } /* Keyword.Type */
.highlight .ld { color: #e6db74 } /* Literal.Date */
.highlight .m { color: #ae81ff } /* Literal.Number */
.highlight .s { color: #e6db74 } /* Literal.String */
.highlight .na { color: #a6e22e } /* Name.Attribute */
.highlight .nb { color: #f8f8f2 } /* Name.Builtin */
.highlight .nc { color: #a6e22e } /* Name.Class */
.highlight .no { color: #66d9ef } /* Name.Constant */
.highlight .nd { color: #a6e22e } /* Name.Decorator */
.highlight .ni { color: #f8f8f2 } /* Name.Entity */
.highlight .ne { color: #a6e22e } /* Name.Exception */
.highlight .nf { color: #a6e22e } /* Name.Function */
.highlight .nl { color: #f8f8f2 } /* Name.Label */
.highlight .nn { color: #f8f8f2 } /* Name.Namespace */
.highlight .nx { color: #a6e22e } /* Name.Other */
.highlight .py { color: #f8f8f2 } /* Name.Property */
.highlight .nt { color: #f92672 } /* Name.Tag */
.highlight .nv { color: #f8f8f2 } /* Name.Variable */
.highlight .ow { color: #f92672 } /* Operator.Word */
.highlight .w { color: #f8f8f2 } /* Text.Whitespace */
.highlight .mb { color: #ae81ff } /* Literal.Number.Bin */
.highlight .mf { color: #ae81ff } /* Literal.Number.Float */
.highlight .mh { color: #ae81ff } /* Literal.Number.Hex */
.highlight .mi { color: #ae81ff } /* Literal.Number.Integer */
.highlight .mo { color: #ae81ff } /* Literal.Number.Oct */
.highlight .sa { color: #e6db74 } /* Literal.String.Affix */
.highlight .sb { color: #e6db74 } /* Literal.String.Backtick */
.highlight .sc { color: #e6db74 } /* Literal.String.Char */
.highlight .dl { color: #e6db74 } /* Literal.String.Delimiter */
.highlight .sd { color: #e6db74 } /* Literal.String.Doc */
.highlight .s2 { color: #e6db74 } /* Literal.String.Double */
.highlight .se { color: #ae81ff } /* Literal.String.Escape */
.highlight .sh { color: #e6db74 } /* Literal.String.Heredoc */
.highlight .si { color: #e6db74 } /* Literal.String.Interpol */
.highlight .sx { color: #e6db74 } /* Literal.String.Other */
.highlight .sr { color: #e6db74 } /* Literal.String.Regex */
.highlight .s1 { color: #e6db74 } /* Literal.String.Single */
.highlight .ss { color: #e6db74 } /* Literal.String.Symbol */
.highlight .bp { color: #f8f8f2 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #a6e22e } /* Name.Function.Magic */
.highlight .vc { color: #f8f8f2 } /* Name.Variable.Class */
.highlight .vg { color: #f8f8f2 } /* Name.Variable.Global */
.highlight .vi { color: #f8f8f2 } /* Name.Variable.Instance */
.highlight .vm { color: #f8f8f2 } /* Name.Variable.Magic */
.highlight .il { color: #ae81ff } /* Literal.Number.Integer.Long */
}
@media (prefers-color-scheme: light) {
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */
}
</style><div class="highlight"><pre><span></span><span class="err">{{/*</span>
<span class="c">#</span>
<span class="c"># ============LICENSE_START=======================================================</span>
<span class="c"># Copyright © 2018 AT&amp;T Intellectual Property. All rights reserved.</span>
<span class="c"># ================================================================================</span>
<span class="c"># Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);</span>
<span class="c"># you may not use this file except in compliance with the License.</span>
<span class="c"># You may obtain a copy of the License at</span>
<span class="c">#</span>
<span class="c">#    http://www.apache.org/licenses/LICENSE-2.0</span>
<span class="c">#</span>
<span class="c"># Unless required by applicable law or agreed to in writing, software</span>
<span class="c"># distributed under the License is distributed on an &quot;AS IS&quot; BASIS,</span>
<span class="c"># WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</span>
<span class="c"># See the License for the specific language governing permissions and</span>
<span class="c"># limitations under the License.</span>
<span class="c"># ============LICENSE_END=========================================================</span>
<span class="err">*/}}</span>

<span class="na">query.fast-property</span><span class="o">=</span><span class="s">true</span>
<span class="na">query.smart-limit</span><span class="o">=</span><span class="s">false</span>

<span class="err">{{</span> <span class="err">if</span> <span class="err">.Values.global.config.cluster.cassandra.dynamic</span> <span class="err">}}</span>

<span class="na">storage.backend</span><span class="o">=</span><span class="s">cql</span>
<span class="na">storage.hostname</span><span class="o">=</span><span class="s">{{.Values.global.cassandra.serviceName}}</span>
<span class="na">storage.cql.keyspace</span><span class="o">=</span><span class="s">aaigraph</span>
<span class="na">storage.username</span><span class="o">=</span><span class="s">{{.Values.global.cassandra.username}}</span>
<span class="na">storage.password</span><span class="o">=</span><span class="s">{{.Values.global.cassandra.password}}</span>

<span class="na">storage.cql.read-consistency-level</span><span class="o">=</span><span class="s">LOCAL_QUORUM</span>
<span class="na">storage.cql.write-consistency-level</span><span class="o">=</span><span class="s">LOCAL_QUORUM</span>
<span class="na">storage.cql.replication-factor</span><span class="o">=</span><span class="s">{{.Values.global.cassandra.replicas}}</span>
<span class="na">storage.cql.only-use-local-consistency-for-system-operations</span><span class="o">=</span><span class="s">true</span>

<span class="err">{{</span> <span class="err">else</span> <span class="err">}}</span>

<span class="err">{{</span> <span class="err">if</span> <span class="err">.Values.global.config.storage</span> <span class="err">}}</span>

<span class="na">storage.backend</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.backend }}</span>

<span class="err">{{</span> <span class="err">if</span> <span class="err">eq</span> <span class="err">.Values.global.config.storage.backend</span> <span class="err">&quot;cassandra&quot;</span> <span class="err">}}</span>

<span class="na">storage.hostname</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.hostname }}</span>
<span class="na">storage.cassandra.keyspace</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.name }}</span>

<span class="na">storage.cassandra.read-consistency-level</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.cassandra.readConsistency }}</span>
<span class="na">storage.cassandra.write-consistency-level</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.cassandra.writeConsistency }}</span>
<span class="na">storage.cassandra.replication-factor</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.cassandra.replicationFactor | int }}</span>
<span class="na">storage.cassandra.astyanax.cluster-name</span><span class="o">=</span> <span class="s">{{ .Values.global.config.storage.clusterName }}</span>
<span class="na">storage.cassandra.astyanax.local-datacenter</span><span class="o">=</span> <span class="s">{{ .Values.global.config.storage.localDataCenter }}</span>

<span class="na">storage.connection-timeout</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.connectionTimeout | int }}</span>
<span class="na">cache.tx-cache-size</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.cacheSize | int }}</span>
<span class="na">log.tx.key-consistent</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.keyConsistent }}</span>

<span class="err">{{</span> <span class="err">else</span> <span class="err">if</span> <span class="err">eq</span> <span class="err">.Values.global.config.storage.backend</span> <span class="err">&quot;cql&quot;</span> <span class="err">}}</span>

<span class="na">storage.hostname</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.hostname }}</span>
<span class="na">storage.cql.keyspace</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.name }}</span>

<span class="na">storage.cql.read-consistency-level</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.cql.readConsistency }}</span>
<span class="na">storage.cql.write-consistency-level</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.cql.readConsistency }}</span>
<span class="na">storage.cql.replication-factor</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.cql.replicationFactor | int }}</span>

<span class="na">storage.cql.only-use-local-consistency-for-system-operations</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.cql.localConsistencyForSysOps }}</span>
<span class="na">storage.cql.cluster-name</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.clusterName }}</span>
<span class="na">storage.cql.local-datacenter</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.localDataCenter }}</span>

<span class="na">storage.connection-timeout</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.connectionTimeout | int }}</span>
<span class="na">cache.tx-cache-size</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.cacheSize | int }}</span>
<span class="na">log.tx.key-consistent</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.keyConsistent }}</span>

<span class="err">{{</span> <span class="err">else</span> <span class="err">if</span> <span class="err">eq</span> <span class="err">.Values.global.config.storage.backend</span> <span class="err">&quot;hbase&quot;</span> <span class="err">}}</span>

<span class="na">storage.hostname</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.hostname }}</span>
<span class="na">storage.hbase.table</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.name }}</span>

<span class="na">storage.connection-timeout</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.connectionTimeout | int }}</span>
<span class="na">cache.tx-cache-size</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.cacheSize | int }}</span>
<span class="na">log.tx.key-consistent</span><span class="o">=</span><span class="s">{{ .Values.global.config.storage.keyConsistent }}</span>

<span class="err">{{</span> <span class="err">end</span> <span class="err">}}</span>

<span class="err">{{</span> <span class="err">end</span> <span class="err">}}</span>

<span class="err">{{</span> <span class="err">end</span> <span class="err">}}</span>

<span class="na">storage.lock.wait-time</span><span class="o">=</span><span class="s">300</span>
<span class="c"># Setting db-cache to false ensure the fastest propagation of changes across servers</span>
<span class="na">cache.db-cache</span> <span class="o">=</span> <span class="s">false</span>
<span class="c">#load graphson file on startup</span>
<span class="na">load.snapshot.file</span><span class="o">=</span><span class="s">false</span>
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div id="lfcollabprojects-footer">
  <div class="gray-diagonal">
    <div class="footer-inner">
      <p>
        &copy; 2017 <a href="https://www.onap.org/">ONAP</a> a Linux Foundation
        Collaborative Project. All Rights Reserved.
      </p>
      <p>
        Linux Foundation is a registered trademark of The Linux Foundation.
        Linux is a registered
        <a
          href="http://www.linuxfoundation.org/programs/legal/trademark"
          title="Linux Mark Institute"
          >trademark</a
        >
        of Linus Torvalds.
      </p>
      <p>
        Please see our
        <a href="http://www.linuxfoundation.org/privacy">privacy policy</a> and
        <a href="http://www.linuxfoundation.org/terms">terms of use</a>
      </p>
    </div>
  </div>
</div>
</div> <!-- id=cgit -->
</body>
</html>
